libparams-classify-perl_0.013-4+b2_i386.deb


Advertisement

Description

libparams-classify-perl - Perl module for argument type classification

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name libparams-classify-perl
Package version 0.013
Package release 4+b2
Package architecture i386
Package type deb
Installed size 43 B
Download size 23.94 KB
Official Mirror ftp.br.debian.org
Params::Classify provides various type-testing functions. These are intended
for functions that, unlike most Perl code, care what type of data they
are operating on. For example, some functions wish to behave
differently depending on the type of their arguments (like overloaded
functions in C++).
These functions only provide type classification; they do not enforce
type restrictions. Type enforcement may, of course, be built using
these classification functions, but the reader's attention is drawn to
libparams-validate-perl.

Alternatives

Package Version Architecture Repository
libparams-classify-perl_0.013-4+b2_amd64.deb 0.013 amd64 Debian Main
libparams-classify-perl - - -

Requires

Name Value
libc6 >= 2.1.3
perl >= 5.20.0-4
perlapi-5.20.0 -

Download

Type URL
Binary Package libparams-classify-perl_0.013-4+b2_i386.deb
Source Package libparams-classify-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libparams-classify-perl deb package:
    # sudo apt-get install libparams-classify-perl

Files

Path
/usr/lib/i386-linux-gnu/perl5/5.20/Params/Classify.pm
/usr/lib/i386-linux-gnu/perl5/5.20/auto/Params/Classify/Classify.bs
/usr/lib/i386-linux-gnu/perl5/5.20/auto/Params/Classify/Classify.so
/usr/share/doc/libparams-classify-perl/changelog.Debian.gz
/usr/share/doc/libparams-classify-perl/changelog.Debian.i386.gz
/usr/share/doc/libparams-classify-perl/changelog.gz
/usr/share/doc/libparams-classify-perl/copyright
/usr/share/man/man3/Params::Classify.3pm.gz

Changelog

2011-11-17 - Dominic Hargreaves <dom@earth.li>
libparams-classify-perl (0.013-4) unstable; urgency=low
* Swap libextutils-parsexs-perl/perl alternate build-dependency around
following migration of perl 5.14 to unstable so that it can be
autobuilt
2011-11-16 - Krzysztof Krzy┼╝aniak (eloy) <eloy@debian.org>
libparams-classify-perl (0.013-3) unstable; urgency=low
* debian/control: Add me to uploaders
2011-08-08 - gregor herrmann <gregoa@debian.org>
libparams-classify-perl (0.013-2) unstable; urgency=low
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ Salvatore Bonaccorso ]
* debian/copyright: Replace DEP5 Format-Specification URL from
svn.debian.org to anonscm.debian.org URL.
[ gregor herrmann ]
* Add perl 5.14 as an alternative to the libextutils-parsexs-perl build
dependency. (Closes: #636761)
* Set Standards-Version to 3.9.2 (no changes).
* Add perl 5.10.1 as an alternative to libparent-perl.
2010-12-04 - Ansgar Burchardt <ansgar@debian.org>
libparams-classify-perl (0.013-1) unstable; urgency=low
* New upstream release.
* Add build-dep on libextutils-parsexs-perl (>= 2.200600).
* debian/copyright: Update for new upstream release.
* Update my email address.
2010-08-28 - Ansgar Burchardt <ansgar@43-1.org>
libparams-classify-perl (0.011-1) unstable; urgency=low
[ gregor herrmann ]
* debian/control: Changed: (build-)depend on perl instead of perl-
modules.
[ Ansgar Burchardt ]
* New upstream release.
* debian/copyright: Update for current DEP-5 proposal; update years of
copyright; refer to /usr/share/common-licenses/GPL-1; refer to
"Debian systems" instead of "Debian GNU/Linux systems".
* Use debhelper compat level 8.
* Use source format 3.0 (quilt).
* Remove build-dep on perl (>= 5.10) | libmodule-build-perl as this
dependency is already satisfied in stable by the perl build-dep.
* Bump Standards-Version to 3.9.1.
2009-10-08 - Brian Cassidy <brian.cassidy@gmail.com>
libparams-classify-perl (0.009-1) unstable; urgency=low
[ Brian Cassidy ]
* New upstream release
* debian/control: add myself to uploaders
* debian/copyright: add myself to copyright statement for debian/*
[ Ryan Niebur ]
* Update ryan52's email address
2009-09-13 - Ansgar Burchardt <ansgar@43-1.org>
libparams-classify-perl (0.008-1) unstable; urgency=low
[ Ansgar Burchardt ]
* New upstream release
* Bump Standards-Version to 3.8.3 (no changes).
* debian/watch: Use extended regexp to match upstream releases.
* Add myself to Uploaders.
[ gregor herrmann ]
* Remove version from perl build dependency (even satisfied in oldstable).
2009-05-15 - Ryan Niebur <ryanryan52@gmail.com>
libparams-classify-perl (0.007-1) unstable; urgency=low
[ Ryan Niebur ]
* Remove Florian Ragwitz from Uploaders (Closes: #523219)
* New upstream release
* Add myself to Uploaders
* Debian Policy 3.8.1
* convert to arch:any
* add libparent-perl to (build-)depends
[ gregor herrmann ]
* debian/control:
- change my email address
- add alternative build dependency on perl-modules (>= 5.10)
* Simplify debian/rules and bump versioned build dependency on debhelper to
7.2.13.
* debian/copyright: add additional copyright holder.

See Also

Package Description
libparams-coerce-perl_0.14-1_all.deb Perl module to permit parameter coercion for classes
libparams-util-perl_1.07-2+b1_i386.deb Perl extension for simple stand-alone param checking functions
libparams-validate-perl_1.13-1+b1_i386.deb Perl module to validate parameters to Perl method/function calls
libparanoid-perl_0.36-2_all.deb module for safer, more secure programming
libpari-dev_2.7.2-1_i386.deb PARI/GP Computer Algebra System development files
libpari-gmp-tls4_2.7.2-1_i386.deb PARI/GP Computer Algebra System shared library
libparmap-ocaml-dev_1.0~rc4-4_i386.deb small OCaml library allowing to exploit multicore architectures
libparmap-ocaml_1.0~rc4-4_i386.deb small OCaml library allowing to exploit multicore architectures
libparpack2-dev_3.1.5-3_i386.deb Parallel subroutines to solve large scale eigenvalue problems (development)
libparpack2_3.1.5-3_i386.deb Parallel subroutines to solve large scale eigenvalue problems
libparrot-dev_6.6.0-1_i386.deb Parrot shared library development files
libparrot6.6.0_6.6.0-1_i386.deb Parrot shared library
libparse-cpan-meta-perl_1.4414-1_all.deb module to parse META.yml and other similar CPAN metadata files
libparse-cpan-packages-perl_2.38-1_all.deb module to parse the CPAN Packages file
libparse-debcontrol-perl_2.005-4_all.deb parser for debian control-like files
Advertisement
Advertisement